<?
	 include("funciones/funciones_backup.php");
   	 include("conexion/conexion.php");
	 include("Menu/menu_inicio.php");
	 echo"<meta name=\"author\" content='DESARROLLO WEB'>";
	 echo"<link rel='stylesheet' href='css/style.css' type=\"text/css\">";
?>
<link rel="stylesheet" href="css/demos.css" media="screen" type="text/css">
<link rel="stylesheet" href="css/modal-message.css" type="text/css">
<script type="text/javascript" src="js/modal-message.js"></script>
<script type="text/javascript">
messageObj = new DHTML_modalMessage();	// We only create one object of this class
messageObj.setShadowOffset(0);	// Large shadow

function displayStaticMessage(messageContent,cssClass,src)
{
	messageObj.setHtmlContent(messageContent);
	messageObj.setSize(350,100);
	messageObj.setCssClassMessageBox(cssClass);
	messageObj.setSource(false);	// no html source since we want to use a static message here.
	messageObj.setShadowDivVisible(false);	// Disable shadow for these boxes
	//matrix.src = "imagenes/loader.gif";	
	messageObj.display();
	
	
}

function closeMessage()
{
	messageObj.close();	
}
</script>
<? 
$_SESSION['titulo']=$_GET['titulo'];
$_SESSION['tipo']=$_GET['tipo'];
$_SESSION['tabla_guia']=$_GET['tabla'];
?>
<CENTER>
<form action="" method="POST" name="backup" encType="multipart/form-data" target="IF">
<table width="335">
<tr class=miTable_tr>
<td class=miTable_th1 colspan="2"><div align="center">..:: <? echo $_SESSION['titulo'];?> ::..</div></td>
</tr>
<tr class=miTable_tr>
<td class=miTable_td>
Seleccione Archivo:</td>
<td class=miTable_td><input type="file" name="txt" class="inputbox"></td>
</tr>
<tr class=miTable_tr>
<td class=miTable_td>
Seleccione Separador:</td>
<td class=miTable_td>
<select name="sep" class="inputbox">
<option value=";">Punto y Coma (;)</option>
<option value=",">Coma (,)</option>
</select>
</td>
</tr>
<tr class=miTable_tr>
<td class=miTable_th1 colspan="2">
<div align="center">
<input type="submit" value="Procesar" name="buscar" class="inputbox" onclick="displayStaticMessage('<p align=center><font color=#bb0415><b>Espere por Favor Se esta cargando la Informacion</b></font><br><br><img src=imagenes/loader.gif></p>',false)">
</div>
</td>
</tr>
</table>
</form>
</CENTER>
<?
if(isset($buscar)){
	class nuevoPrueba {
		// PROPIEDADES
		var $pruebaObj;
	 	var $conexionObj;
	 	var $estado;
		// OPERACION DE NEGOCIO
		function validar($tabla){
			$this->conexionObj = new conexion();
			$this->conexionObj->conectarse();
			$this->insertarDatos($tabla);
		}//END FUNCION VALIDAR
		function insertarDatos($tabla){
			$sep=';';
			$nombre=$_FILES['txt']['name'];
			$tipo=$_FILES['txt']['type'];
			$tam=$_FILES['txt']['size'];
			$temp= $_FILES['txt']['tmp_name'];
			$id_suc=$_GET['sucursal'];
			if($nombre==''){
				$id_user=$_GET['id_user'];
				$msgBOX = "No Selecciono un Archivo.";
	  		  	echo "<script>
	          	alert('$msgBOX');
			  	setTimeout(location.href='ejecuta_filtro.php?tipo=".$_SESSION['tipo']."&titulo=".$_SESSION['titulo']."', 100);
	  		  	</script>";
			}
			$path=exec("pwd");
			$nombret=$path."/".$nombre;
		    if(move_uploaded_file($temp, $nombret)){
	       		
			}else{
				echo "No se subio el archivo";
		   	}
			$lines = file($nombre);
			$i=0;
			$rsta=$this->conexionObj->modificar("insert into lote_servicio_cliente values('0')");
			$del=$this->conexionObj->modificar("DELETE FROM servicio_cliente WHERE fecha != current_date()");
			$rsta=$this->conexionObj->consultar("Select * from lote_servicio_cliente order by num_lot desc");
			$fila = mysql_fetch_array($rsta);
			$lote=$fila['num_lot'];
			$_SESSION['lot']=$lote;
			$cont_noupdate=0;
			$cont_update=0;
			foreach ($lines as $line_num => $line){
				$value_str=strstr($line,$sep);
				$datos = explode($sep, $line);
				$num=0;
				$guia=$datos[0];
				$guia=trim($guia);
				$ruta="vacia";
				$est=0;
				if($i>0){
					$insertar='';
	 	  			for($j=0;$j<count($datos);$j++) {
	 	    			if($j==0){
	 	     				$insertar.="'".trim($datos[$j])."'";
	        			}else
	         				$insertar.=",'".trim($datos[$j])."'";
	      			}// END FOR //
	 	  			$i=$i+1;
		  			$rst=$this->conexionObj->modificar("insert into servicio_cliente values('".$num."','".$guia."','".$lote."','".$ruta."',".$est.", current_date())");
 		  			$val=mysql_affected_rows();
		  			if($val<=0){
						$cont_noupdate=$cont_noupdate+1;
		  			}else{
		  				$cont_update=$cont_update+1;
		  			}
		  
				}else{
	 	  			for ($j=0;$j<count($datos);$j++) {
	 	    			if($j==0){
	 	    				$valor.="".trim($datos[$j])." VARCHAR(200)";
						}else
	         				$valor.=",".trim($datos[$j])." VARCHAR(200)";
	 	  			}
				}
				$i=$i+1;
			}
			unlink($nombre);
			$contc=0;
			$contn=0;
			$rst_cruce=$this->conexionObj->consultar("Select guia from servicio_cliente where lote='".$lote."'");
			while($filas_cruce = mysql_fetch_array($rst_cruce)) {
				$rst_digitalizacion=$this->conexionObj->consultar("Select path from $tabla where guia='".$filas_cruce[0]."' AND path !=''");
				if(mysql_num_rows($rst_digitalizacion)>=1){
					$contc=$contc+1;
       				$filas_digitalizacion = mysql_fetch_array($rst_digitalizacion);
					$rst_digitalizacion2=$this->conexionObj->modificar("UPDATE servicio_cliente SET ruta='".$filas_digitalizacion[0]."', est='1' WHERE guia ='".$filas_cruce[0]."' and lote = '".$lote."'");
				}else{
					$contn=$contn+1;
				}
			}
			if($contc>0){
				$fec=date("Ymd_H_i");
				exec("mkdir servicio_cliente/IMAGENES");
				exec("chmod 777 servicio_cliente/IMAGENES");
				exec("mkdir servicio_cliente/IMAGENES/".$fec);
				exec("chmod 777 servicio_cliente/IMAGENES/".$fec);
				$rst3=$this->conexionObj->consultar("Select * from servicio_cliente where est='1' and lote='".$lote."'");
				while($fila3 = mysql_fetch_array($rst3)){
					$path=$fila3['ruta'];
					$path = strstr($path, '/');
					$rut="/opt/lampp/htdocs".$path;
					$fila3['guia'];
					$i=$i+1;
					$path2="/opt/lampp/htdocs/websim_gama/servicio_cliente/IMAGENES/".$fec."/".$fila3['guia'].".JPG";
					@copy($rut,$path2);
				}
				exec("zip -r ".$fec.".zip servicio_cliente/IMAGENES");
				exec("rm -r servicio_cliente/IMAGENES");
				exec("mv ".$fec.".zip servicio_cliente/");
			}else{

			}
			$i--;
			$titulos[]="No GUIA";
			$titulos[]="PATH GUIA";
			$campos_consulta="guia, ruta";
			$tabla="servicio_cliente";
			$add="WHERE est='1' AND lote='$lote'";
			$add2="WHERE est='0' AND lote='$lote'";
			$_SESSION['titulos']=$titulos;
			$_SESSION['campos_consulta']=$campos_consulta;
			$_SESSION['add']=$add;
			$_SESSION['add2']=$add2;
			echo "<center>";
			echo "<form action='' method='POST'>";
			echo "<table border=0 width=335 id=table1><tr class=miTable_tr>
			<td class=miTable_th1 colspan=3>Archivo $nombre</td></tr><tr class=miTable_tr>
			<td class=miTable_th1 width=210>Cantidad De Registros Cargados</td>
			<td class=miTable_th1 width=125 colspan=2>Lote</td></tr>
			<tr class=miTable_tr><td class=miTable_td width=210>$cont_update</td><td class=miTable_td width=125 colspan=2>$lote</td></tr>
			<tr class=miTable_tr><td class=miTable_td width=210>Registros Actualizados</td>";
			echo "<td class=miTable_td width=50>".$contc;
			echo "</td><td class=miTable_td width=75>";
			if($contc>0){
				echo "<DIV align=center><a href=servicio_cliente.php?tabla=$tabla&registro=1><img src='imagenes/xls_icon.gif' title='Exportar Archivo XLS'></a></DIV>";
			}
			echo "</td></tr>";
			echo "<tr class=miTable_tr><td class=miTable_td width=200>Registros No Actualizados</td>";
			echo "<td class=miTable_td width=50>".$contn;
			echo "</td><td class=miTable_td width=75>";
			if($contn>0){
				echo "<DIV align=center><a href=servicio_cliente.php?tabla=$tabla&registro=0><img src='imagenes/xls_icon.gif' title='Exportar Archivo XLS'></a></DIV>";
			}
			echo "</td></tr>";
			echo "<tr class=miTable_tr><td class=miTable_td colspan=2>Descargar Imagenes</td><td class=miTable_td>";
			if($contc>0){
				echo "<DIV align=center><a href=servicio_cliente/".$fec.".zip><img src='imagenes/winzip.gif' title='Download Imagenes ZIP'></a></DIV>";
			}
			echo "</td><tr class=miTable_tr><td class=miTable_th1 colspan=3></td></tr>";
			echo "</table></form>";
}//END FUNCION INSERTAR
}//END CLASE PRUEBA
// CREACION DEL OBJETO
$nuevoPruebaObj=new nuevoPrueba();
// CONFIGURANDO LAS PROPIEDADES DEL OBJETO
// LAMANDO EL METODO DE NEGOCIO
$nuevoPruebaObj->validar($_SESSION['tabla_guia']);
}
?>